Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.iso_profile
Class Mapping

    java.lang.Object
      org.deegree.ogcwebservices.csw.iso_profile.Mapping

    public class Mapping

extends Object

Since:
  2.0
Version:
  $Revision$, 1.0. $Revision$, $Date$
Author:
  Andreas Poth, last edited by: $Author$

Constructor Summary
`Mapping()`

Method Summary
`static String` | `mapPropertyValue(Node node, String hlevel)` maps a property name of GetRecords, Delete and Update request from the catalogue schema to the underlying WFS schema
`static String` | `mapSortProperty(Node node, String hlevel)` maps property names for sorting from the catalogue schema to the underlying WFS schema

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapping

    public Mapping()

Method Detail

### mapPropertyValue

    public static String mapPropertyValue(Node node,
                                          String hlevel)
                                   throws XMLParsingException

  maps a property name of GetRecords, Delete and Update request from the catalogue schema to the underlying WFS schema

  Parameters:
    `node` -
    `hlevel` -
  Returns:
    the value
  Throws:
    `XMLParsingException`

### mapSortProperty

    public static String mapSortProperty(Node node,
                                         String hlevel)
                                  throws XMLParsingException

  maps property names for sorting from the catalogue schema to the underlying WFS schema

  Parameters:
    `node` -
    `hlevel` -
  Returns:
    the property
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org